Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation
Class PortableAnnotationElement

    java.lang.Object
      org.jboss.aop.annotation.PortableAnnotationElement

Direct Known Subclasses:
  AnnotationElement

public class PortableAnnotationElement
extends Object

This base class is portable between JDK 1.4 and JDK 1.5 AnnotationElement will be different for JDK 1.4 and JDK 1.5

Version:
  $Revision: 1.10 $
Author:
  Bill Burke

Constructor Summary
`PortableAnnotationElement()`

Method Summary
`protected static Object` | `create(javassist.bytecode.AnnotationsAttribute group, Class annotation)`
`static Class` | `getAnnotationType(Object o)`
`static Object` | `getAnyAnnotation(Class clazz, Class annotation)`
`static Object` | `getAnyAnnotation(Constructor con, Class annotation)` If con has a invisible or visible annotation return it
`static Object` | `getAnyAnnotation(Field field, Class annotation)`
`static Object` | `getAnyAnnotation(Method method, Class annotation)` If invisble or visible annotation is present for method, then return it
`protected static javassist.bytecode.ClassFile` | `getClassFile(Class clazz)`
`static Object` | `getInvisibleAnnotation(Class clazz, Class annotation)`
`static Object` | `getInvisibleAnnotation(Constructor con, Class annotation)`
`static Object` | `getInvisibleAnnotation(Field field, Class annotation)`
`static Object` | `getInvisibleAnnotation(Method method, Class annotation)`
`static Object[]` | `getVisibleAnnotations(Class clazz)`
`static Object[]` | `getVisibleAnnotations(Constructor c)`
`static Object[]` | `getVisibleAnnotations(Field f)`
`static Object[]` | `getVisibleAnnotations(Method m)`
`static boolean` | `isAnyAnnotationPresent(Class clazz, Class annotation)`
`static boolean` | `isAnyAnnotationPresent(Class clazz, String annotation)`
`static boolean` | `isAnyAnnotationPresent(Constructor con, Class annotation)`
`static boolean` | `isAnyAnnotationPresent(Constructor con, String annotation)`
`static boolean` | `isAnyAnnotationPresent(javassist.CtClass clazz, String annotation)`
`static boolean` | `isAnyAnnotationPresent(javassist.CtConstructor ctMethod, String annotation)`
`static boolean` | `isAnyAnnotationPresent(javassist.CtField ctField, String annotation)`
`static boolean` | `isAnyAnnotationPresent(javassist.CtMethod ctMethod, String annotation)`
`static boolean` | `isAnyAnnotationPresent(Field field, Class annotation)`
`static boolean` | `isAnyAnnotationPresent(Field field, String annotation)`
`static boolean` | `isAnyAnnotationPresent(Method method, Class annotation)`
`static boolean` | `isAnyAnnotationPresent(Method method, String annotation)`
`static boolean` | `isInvisibleAnnotationPresent(Class clazz, String annotation)`
`static boolean` | `isInvisibleAnnotationPresent(Constructor con, String annotation)`
`static boolean` | `isInvisibleAnnotationPresent(javassist.CtConstructor ctMethod, String annotation)`
`static boolean` | `isInvisibleAnnotationPresent(javassist.CtField field, String annotation)`
`static boolean` | `isInvisibleAnnotationPresent(Field field, String annotation)`
`static boolean` | `isInvisibleAnnotationPresent(Method method, String annotation)`
`static boolean` | `isVisibleAnnotationPresent(Class clazz, String annotation)`
`static boolean` | `isVisibleAnnotationPresent(Constructor con, String annotation)`
`static boolean` | `isVisibleAnnotationPresent(javassist.CtConstructor ctMethod, String annotation)`
`static boolean` | `isVisibleAnnotationPresent(javassist.CtField field, String annotation)`
`static boolean` | `isVisibleAnnotationPresent(Field field, String annotation)`
`static boolean` | `isVisibleAnnotationPresent(Method method, String annotation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortableAnnotationElement

    public PortableAnnotationElement()

Method Detail

### isInvisibleAnnotationPresent

    public static boolean isInvisibleAnnotationPresent(Field field,
                                                       String annotation)
                                                throws Exception

  Throws:
    `Exception`

### isInvisibleAnnotationPresent

    public static boolean isInvisibleAnnotationPresent(javassist.CtField field,
                                                       String annotation)

### isVisibleAnnotationPresent

    public static boolean isVisibleAnnotationPresent(javassist.CtField field,
                                                     String annotation)

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(javassist.CtField ctField,
                                                 String annotation)

### isInvisibleAnnotationPresent

    public static boolean isInvisibleAnnotationPresent(Method method,
                                                       String annotation)
                                                throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Field field,
                                                 String annotation)
                                          throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Method method,
                                                 String annotation)
                                          throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(javassist.CtMethod ctMethod,
                                                 String annotation)

### isInvisibleAnnotationPresent

    public static boolean isInvisibleAnnotationPresent(Constructor con,
                                                       String annotation)
                                                throws Exception

  Throws:
    `Exception`

### isInvisibleAnnotationPresent

    public static boolean isInvisibleAnnotationPresent(javassist.CtConstructor ctMethod,
                                                       String annotation)

### isVisibleAnnotationPresent

    public static boolean isVisibleAnnotationPresent(javassist.CtConstructor ctMethod,
                                                     String annotation)

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Constructor con,
                                                 String annotation)
                                          throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(javassist.CtConstructor ctMethod,
                                                 String annotation)

### isInvisibleAnnotationPresent

    public static boolean isInvisibleAnnotationPresent(Class clazz,
                                                       String annotation)
                                                throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(javassist.CtClass clazz,
                                                 String annotation)
                                          throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Class clazz,
                                                 String annotation)
                                          throws Exception

  Throws:
    `Exception`

### getClassFile

    protected static javassist.bytecode.ClassFile getClassFile(Class clazz)
                                                        throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### create

    protected static Object create(javassist.bytecode.AnnotationsAttribute group,
                                   Class annotation)
                            throws Exception

  Throws:
    `Exception`

### getInvisibleAnnotation

    public static Object getInvisibleAnnotation(Method method,
                                                Class annotation)

### getInvisibleAnnotation

    public static Object getInvisibleAnnotation(Constructor con,
                                                Class annotation)

### getInvisibleAnnotation

    public static Object getInvisibleAnnotation(Field field,
                                                Class annotation)

### getInvisibleAnnotation

    public static Object getInvisibleAnnotation(Class clazz,
                                                Class annotation)

### getAnyAnnotation

    public static Object getAnyAnnotation(Method method,
                                          Class annotation)

  If invisble or visible annotation is present for method, then return it

  Parameters:
    `method` -
    `annotation` -
  Returns:

### getAnyAnnotation

    public static Object getAnyAnnotation(Constructor con,
                                          Class annotation)

  If con has a invisible or visible annotation return it

  Parameters:
    `con` -
    `annotation` -
  Returns:

### getAnyAnnotation

    public static Object getAnyAnnotation(Field field,
                                          Class annotation)

### getAnyAnnotation

    public static Object getAnyAnnotation(Class clazz,
                                          Class annotation)

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Field field,
                                                 Class annotation)
                                          throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Class clazz,
                                                 Class annotation)
                                          throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Constructor con,
                                                 Class annotation)
                                          throws Exception

  Throws:
    `Exception`

### isAnyAnnotationPresent

    public static boolean isAnyAnnotationPresent(Method method,
                                                 Class annotation)
                                          throws Exception

  Throws:
    `Exception`

### isVisibleAnnotationPresent

    public static boolean isVisibleAnnotationPresent(Field field,
                                                     String annotation)
                                              throws Exception

  Throws:
    `Exception`

### isVisibleAnnotationPresent

    public static boolean isVisibleAnnotationPresent(Class clazz,
                                                     String annotation)
                                              throws Exception

  Throws:
    `Exception`

### isVisibleAnnotationPresent

    public static boolean isVisibleAnnotationPresent(Constructor con,
                                                     String annotation)
                                              throws Exception

  Throws:
    `Exception`

### isVisibleAnnotationPresent

    public static boolean isVisibleAnnotationPresent(Method method,
                                                     String annotation)
                                              throws Exception

  Throws:
    `Exception`

### getVisibleAnnotations

    public static Object[] getVisibleAnnotations(Class clazz)
                                          throws Exception

  Throws:
    `Exception`

### getVisibleAnnotations

    public static Object[] getVisibleAnnotations(Method m)
                                          throws Exception

  Throws:
    `Exception`

### getVisibleAnnotations

    public static Object[] getVisibleAnnotations(Field f)
                                          throws Exception

  Throws:
    `Exception`

### getVisibleAnnotations

    public static Object[] getVisibleAnnotations(Constructor c)
                                          throws Exception

  Throws:
    `Exception`

### getAnnotationType

    public static Class getAnnotationType(Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.